%global momorel 1
%global qtver 3.3.7
%global kdever 3.5.8
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 ae927fe0358c9185fffca0a1bbee8329

Summary: The SMB/CIFS Share Browser for KDE
Name: smb4k
Version: 0.9.2
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://smb4k.berlios.de/
Group: Applications/Internet
%NoSource 0 http://download.berlios.de/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}
Requires: samba-client
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext

%description
Smb4K is an SMB/CIFS share browser for KDE. It uses the Samba software suite to
access the SMB/CIFS shares of the local network neighborhood. Its purpose is to
provide a program that's easy to use and has as many features as possible.

%package devel
Summary: Development files for smb4k
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the libraries, include files and other resources
needed to develop applications using Smb4K.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/crystalsvg/48x48/apps/smb4k.png %{buildroot}%{_datadir}/pixmaps/smb4k.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Utility \
  --add-category Network \
  %{buildroot}%{_datadir}/applications/kde/smb4k.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog FAQ INSTALL README TODO
%{_bindir}/smb4k
%{_bindir}/smb4k_cat
%{_bindir}/smb4k_kill
%{_bindir}/smb4k_mount
%{_bindir}/smb4k_mv
%{_bindir}/smb4k_umount
%{_libdir}/kde3/konqsidebar_smb4k.la
%{_libdir}/kde3/konqsidebar_smb4k.so
%{_libdir}/kde3/libsmb4k*.la
%{_libdir}/kde3/libsmb4k*.so
%{_libdir}/libsmb4k*.la
%{_libdir}/libsmb4k*.so.*
%{_datadir}/applications/kde/smb4k.desktop
%{_datadir}/apps/konqsidebartng/add/smb4k_add.desktop
%{_datadir}/apps/smb4k
%{_datadir}/apps/smb4knetworkbrowserpart
%{_datadir}/apps/smb4ksharesiconviewpart
%{_datadir}/apps/smb4kshareslistviewpart
%{_datadir}/config.kcfg/smb4k.kcfg
%{_datadir}/doc/HTML/*/smb4k
%{_datadir}/icons/*/*/*/smb4k.png
%{_datadir}/locale/*/LC_MESSAGES/smb4k.mo
%{_datadir}/pixmaps/smb4k.png

%files devel
%defattr(-, root, root)
%{_includedir}/smb4k*.h
%{_libdir}/libsmb4k*.so

%changelog
* Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-1m)
- version 0.9.2

* Mon Dec 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.1-1m)
- version 0.9.1

* Sun Dec 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-1m)
- version 0.9.0
- License: GPLv2

* Wed Nov 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.7-1m)
- version 0.8.7

* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.6-1m)
- version 0.8.6

* Sun Sep 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.5-1m)
- version 0.8.5

* Sat Jul 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.4-2m)
- move libtool libraries to main package

* Mon Jul 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.4-1m)
- version 0.8.4

* Fri May  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-1m)
- version 0.8.3

* Sat Apr 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-1m)
- version 0.8.1
- [SECURITY] [ Bug #9631 ] security: weaknesses in utilities/smb4k_*.cpp
  http://developer.berlios.de/bugs/?func=detailbug&bug_id=9631&group_id=769
  see ChangeLog

* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0-1m)
- initial package for Momonga Linux
